Package org.pentaho.reporting.libraries.formula.typing.sequence

## Class AnySequence

- java.lang.Object
- - org.pentaho.reporting.libraries.formula.typing.sequence.AnySequence

- All Implemented Interfaces:
    `Sequence`
  Direct Known Subclasses:
    `AnyNumberSequence`, `DefaultNumberSequence`

      public class AnySequence
      extends java.lang.Object
      implements Sequence

  Author:
    Cedric Pronzato

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnySequence​(FormulaContext context)` |
    `AnySequence​(LValue single, FormulaContext context)` |
    `AnySequence​(ArrayCallback array, FormulaContext context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` |
    `java.lang.Object` | `next()` |
    `LValue` | `nextRawValue()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnySequence

          public AnySequence​(FormulaContext context)

    - #### AnySequence

          public AnySequence​(ArrayCallback array,
                             FormulaContext context)

    - #### AnySequence

          public AnySequence​(LValue single,
                             FormulaContext context)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()
                          throws EvaluationException

      Specified by:
        `hasNext` in interface `Sequence`
      Throws:
        `EvaluationException`

    - #### next

          public java.lang.Object next()
                                throws EvaluationException

      Specified by:
        `next` in interface `Sequence`
      Throws:
        `EvaluationException`

    - #### nextRawValue

          public LValue nextRawValue()
                              throws EvaluationException

      Specified by:
        `nextRawValue` in interface `Sequence`
      Throws:
        `EvaluationException`